### 5.1 Editando alguns parmetros grficos

getwd()
setwd("C:/Users/Israel/Desktop/Disciplina R/RStudio")

saligna <- read.table("esaligna.csv", header=T, sep=",", as.is=TRUE)
head(saligna)

par(pch=19, cex = 1.4, tcl=0.3)
plot(saligna$dap, saligna$ht, col= "red", main= "Eucalypthus saligna", xlab ="Dimetro  altura do peito (cm)", ylab="Altura (m)", cex.lab=1.5, cex.main=1.8, cex.axis= 1.7, las=1, bty="L")

dev.cur()
savePlot(filename="saligna.png",device = "2")
dev.off()


## 5.2 Dois grficos juntos

head(saligna)
unique(saligna$talhao)

par(pch=16, cex = 1.4, tcl=0.3)
par(mfrow=c(1,2), pch=19, cex=1.1, cex.lab=1.2, cex.axis= 0.8, las= 1, bty="l", tcl=0.3)
boxplot(saligna$dap~saligna$talhao, xlab = "Talho", ylab = "DAP")
text(locator(1), "a", cex=2)

talhao.mean <- aggregate(saligna$dap, by=list(talhao=saligna$talhao), FUN= mean) 
str(talhao.mean)
talhao.sd <- aggregate(saligna$dap, by=list(talhao=saligna$talhao), FUN=sd)
talhao.sd

plot(talhao.mean, pch= 16, xlab= "TALHAO", ylab="DAP mean", xaxt="n", ylim=c(0,25))
text(locator(1), "b", cex=2)
axis(side=1,at= 1:6, labels= c("16", "17", "18", "22", "23","32"))
par(new=TRUE)
segments(x0=talhao.mean[,1], y0=talhao.mean[,2]-talhao.sd[,2], x1=talhao.mean[,1], y1=talhao.mean[,2]+talhao.sd[,2])


### 5.3 Adivinhando o cdigo


codigo <- read.table("exercicio3.csv", header=T, sep=",", as.is=TRUE)
head(codigo)
str(codigo)

par(mfrow=c(1,2),mgp=c(2.5,1,0), cex.axis=0.9, mar=c(4, 4, 1,1))
plot(codigo$y1~codigo$x1, xlab="Log(Patch size)(ha)", ylab="Euclidean distances", xlim=c(0.5,2.3), ylim=c(0, 3), tcl=0.3, bty="l", pch=17, cex.lab=1.2)
modelo <- lm(codigo$y1~codigo$x1)
abline(modelo,lty=1, lwd=2)
text(locator(1), "a", cex=2)

par(mar=c(4, 4, 1,1),mgp=c(1,1,0), cex.axis=0.9, bty="l")
boxplot(codigo$x2~codigo$y2, ylim=c(0,3.0), xaxt="n", outline=F, xlab="", ylab="")
axis(1, at=c(1:6), labels= c("Small", "Medium\n Edge", "Medium\n Interior", "Large\n Edge", "Large\n Interior", "Control"))

text(x=1, y=3, "*")
text(x=2, y=3, "*")
text(x=3, y=3, "**")
text(x=4, y=3, "*")
text(x=5, y=3, "***")

text(locator(1), "b", cex=2)
