########## Galileu estava Certo? #############

init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)
plot(h.d~init.h) 

mod1 <- lm(h.d~init.h)
mod2 <- update(mod1,.~. +I(init.h^2))
abline(mod1)
cf.m2 <- coef(mod2)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2)

anova(mod1,mod2)

mod3 <- update(mod2,.~.+I(init.h^3))


cf.m3=coef(mod3)
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2+cf.m3[4]*x^3, add=T, lty=1, col="red")

anova(mod2,mod3)

summary(mod3)

## O modelo 3  significativo e, portanto, esse  o melhor modelo.
#O R^2 tambm explica mais da variao. 


########### Massa de Recm-Nascidos ##############


babies <- read.table("babies.csv", sep="", dec=".", header=T, as.is=T)
head(babies) 
str(babies)

babies$bwt[babies$bwt==999]=NA
babies$gestation[babies$gestation==999]=NA
babies$parity[babies$parity==9]=NA
babies$age[babies$age==99]=NA
babies$height[babies$height==99]=NA
babies$weight[babies$weight==999]=NA
babies$smoke[babies$smoke==9]=NA

babies.1 <- babies[! (babies$bwt==999|babies$gestation==999|babies$parity==9|babies$age==99|babies$height==99|babies$weight==999|babies$smoke==9), ]
factor(babies$parity)

## Modelo cheio, mais complexo
lm0 <- lm(bwt~gestation*parity*height*weight*as.factor(smoke)*age, data=babies.1)
anova(lm0)
summary(lm0)

#adicionando fatores e interaes

lm1 <- lm(bwt~gestation, data=babies.1)
anova(lm1)

lm2 <- lm(bwt~gestation + height, data=babies.1)
anova(lm2)

anova(lm2, lm1)

lm3 <- update(lm2, .~.+weight, data=babies.1)
anova(lm2,lm3)

lm4 <- update(lm3, .~.+as.factor(smoke), data=babies.1)
anova(lm3,lm4)

lm5 <- update(lm4, .~. +parity, data=babies.1)
anova(lm4,lm5)

lm6 <- update(lm5, .~. +age, data=babies.1)
anova(lm5,lm6)

lm7 <- update(lm6, .~.+gestation:parity, data=babies.1)
anova(lm6,lm7)

lm8 <- update(lm7, .~. +gestation:height, data=babies.1)
anova(lm7,lm8)

lm9 <- update(lm8, .~. + gestation: weight, data=babies.1)
anova(lm8,lm9)

lm10 <- update(lm9, .~. +gestation:as.factor(smoke), data=babies.1)
anova(lm9,lm10)

lm11 <- update(lm10, .~. +gestation:age, data=babies)
anova(lm10,lm11)

# Modelo mnimo adequado:
lm12 <- update(lm6, .~. +gestation:age+gestation:as.factor(smoke), data=babies.1)
summary(lm12)
