# Vamos retomar a regressão da massa do cérebro em
# função da massa corporal de alguns animais, do tutorial ajuste e diagnóstico de uma regressão:
library(MASS)
data(Animals)
str(Animals)

anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)

# 1. Qual a relação do comando 'anova' acima com:
anova(anim.m2)
# O comando anova(anim.m0,anim.m2) compara os dois modelos entre si. O anova(anim.m2) compara o modelo dados com o modelos nulo
# Nesse caso em particular o modelos anim.m0 é o modelos nulo, por isso o resultado de ambas as funções é similar.

# 2. Qual a relação entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
# o summary mostra os valores de interesse do modelo. Nesse caso como o modelo nulo é uma reta ccruzando o valor da média dos dados,
# o valor do intercepto do modelo é igual a media dos dados de tamanho de cerebro e o desvio padrao dos dados é igua
# ao desvio padrao dos residuos

