mudas = read.table("altura-mudas.csv", header = T, sep=",")
mudas$bloco = as.factor(mudas$bloco)
str(mudas)
head(mudas)
tail(mudas)

# A variavel medida é a altura da mudas  duas espécies em funcao do substrato

#Boxplots 
par(mfrow = c(2,2))
boxplot(altura~especie, data=mudas,  xlab="spp", ylab= "Altura")
mtext(text = "Altura~spp", side = 3, line = 1)
boxplot(altura~substrato, data=mudas,  xlab="Substrato", ylab= "Altura")
mtext(text = "Altura~Substrato", side = 3, line = 1)
for (i in 1:length(levels(mudas$especie))) {
  i.spp = levels(mudas$especie)[i]
  boxplot(formula = altura~substrato, data=mudas, subset = (mudas$especie == i.spp), xlab="Substrato", ylab = "Altura")
  mtext(text = c("Altura~Substrato | spp = \n",i.spp), side = 3, line = 1)
}
par(mfrow = c(1,1))

#histogramas
par(mfrow = c(2,2))
hist(x = mudas$altura, freq = F, main = "Alturas das mudas \n")
abline(v = mean(mudas[mudas$especie == i.spp,]$altura), col = "red")
for (i in 1:length(levels(mudas$especie))) {
  i.spp = levels(mudas$especie)[i]
  hist(x = mudas[mudas$especie == i.spp,]$altura, freq = F, main = c("Alturas spp =\n", i.spp))
  abline(v = mean(mudas[mudas$especie == i.spp,]$altura), col = "red")
}
par(mfrow = c(1,1))


#pontos
num.spp = length(levels(mudas$especie))
num.substrato = length(levels(mudas$especie))
plot(x = NULL, pch=16, col=1:num.spp, xlim=c(0,length(mudas[,1])), ylim = c(0,max(mudas$altura)))
for (i in 1:length(mudas[,1])) {
  points(x = i, y = mudas$altura[i], pch = 15+as.numeric(mudas$especie[i]), col = as.numeric(mudas$substrato[i]) )
}
