############
# 5.1
############

saligna = read.table("esaligna.csv",  sep = ",",  header = T,  as.is = T)

head(saligna)
?plot
?par
?mtext
?locator
par(las=1, cex.lab = 1.5, cex.axis = 1.7, tcl=0.3, cex.main = 1.8)
plot(saligna$dap, saligna$ht, xlab = "Diâmetro à altura do peito (cm) ", ylab = "Altura (m)", bty="l", main = "*Eucalypthus saligna*")
points( saligna$dap, saligna$ht, pch=16, col="red", cex = 1.4)


png(filename = "saligna.png", width = 480, height = 480, units = "px", pointsize = 12,  bg = "white",  res = 100)



############
# 5.2
############


dap = saligna$dap
talhao = as.factor(saligna$talhao)

#GRAFICO 1
par(las=1, cex.lab = 1, cex.axis = 1, tcl=0.3, cex.main = 1.5)
par(mfrow=c(1,2))
par(mar=c(3,5,3,3))
boxplot(dap~talhao, xlab = "talhao", bty="l")

mtext(c("DAP vs. talhao"), side=3, line=0.9, at=7.75, cex=2, family="serif")
mtext(c("a"), side=4, line=0.9, at=locator(), cex=2, family="serif")

#grafico 2

media.dap = round(tapply(saligna$dap, INDEX = saligna$talhao, mean), digits =1)
media.dap
sd.dap = round(tapply(saligna$dap, INDEX = saligna$talhao, sd), digits = 1)
sd.dap


menos.sd = media.dap - sd.dap
mais.sd = media.dap + sd.dap
talhao2 = levels(talhao)

plot(media.dap, ylim = c(5, 25), xlab = "Talhao")
mtext(c("b"), line=0.9, at=locator(), cex=2, family="serif")
segments(x0=1, y0=6.7, x1=1, y1=14.1)

segments(x0=2, y0=7, x1=2, y1=19)

segments(x0=3, y0=7.3, x1=3, y1=15.9)

segments(x0=4, y0=9.9, x1=4, y1=20.9)

segments(x0=5, y0=8.4, x1=5, y1=18.8)

segments(x0=6, y0=6.9, x1=6, y1=19.5)

points( media.dap, pch=16, col="red", cex = 1.4)


############
# 5.3
############

euclides = read.table("exercicio3.csv",  sep = ",",  header = T,  as.is = T)
head(euclides)
str(euclides)

euclides[euclides == "1" ] = "Small"
euclides[euclides == "2" ] = "Medium\nEdge"
euclides[euclides == "3" ] = "Medium\nInterior"
euclides[euclides == "4" ] = "Large\nEdge"
euclides[euclides == "5" ] = "Large\nInterior"
euclides[euclides == "6" ] = "Control"


tamanho = as.factor(as.character(euclides$y2))
tamanho <- factor(tamanho, levels = c("Small", "Medium\nEdge", "Medium\nInterior", "Large\nEdge", "Large\nInterior", "Control"))

par(las=1, cex.lab = 1.3, cex.axis = 1, tcl=0.3, cex.main = 1.5, bty="l", family = "serif")
par(mfrow=c(1,2))
par(mar=c(5,5,3,2))

plot(euclides$y1~euclides$x1, ylim = c(0.0, 3.0), xlab = "Log (Patch Size)(ha)", ylab= "Euclidean distances", pch=17)
text(x=2.5,y=3,"a", cex = 2, , family="serif")
model = lm(euclides$y1~euclides$x1)
abline(model)

par(mar=c(5,3,3,2))
boxplot(euclides$x2~tamanho, ylim = c(0.0, 3.0), xlab= "", ylab = " ", outline = F)
text(x=6,y=3,"b", cex = 2, family="serif")
text(x = c(1:5), y=rep(3, times = 5), c("*", "*", "**", "*", "***"))
mtext(c("exercicio3"), side=3, line=0.9, at=-6.5, cex=2, family="serif")





