mudas <- read.table("altura-mudas.csv", sep=",", dec=".", header=TRUE, as.is=TRUE)
tamboril <- mudas[mudas$especie=="tamboril",] #isolando dados das mudas de tamboril
head(tamboril) #dando uma bizoiada nos dados
tail(tamboril)
str(tamboril)

md.tot <- mean(tamboril$altura) #media total
md.int <- tapply(tamboril$altura, tamboril$substrato, mean) #media de cada grupo
md.int
v.md.int <- rep(md.int, each=6) #repetindo os valores de md em um vetor

sd.tot <- tamboril$altura-md.tot #variacao total
sd.int <- v.md.int-md.tot #variacao intra
v.col <- rep(c(10,11,12,13,14,15,16,17,18,19), each=6) #vetor de cores horriveis

#####################################
##### Grafico da variacao Total #####
#####################################

#Pontos e aparencia geral do grafico:
plot(c(1:60), tamboril$altura,
     family="serif", cex.lab=1.3,
     cex.axis=1.3, lab=c(10, 7, 5), xaxt="n",
     pch=rep(c(15,16,17,18,19,20,21,22,23,24), each=6),
     col=v.col, ylab="Altura", xlab="Substrato",
     ylim=c(0,90), main="Variação Total", cex.main=1.3)

#Configurando eixo x:
axis(1, at=c(seq(3.5, 57.5, by=6)), labels=c(unique(tamboril$substrato)),
     cex.axis=1.3, family="serif")

#Linha media de cada grupo
abline(h=md.tot, col="black", lty=3, lwd=2)

#Linhas dos pontos ate a media geral
for(i in 1:60)
    {
    lines(c(i,i), c(tamboril$altura[i], md.tot), col=v.col[i])
    }

############################################# 
##### Grafico do variacao entre grupos: #####
#############################################

#Pontos e aparencia geral do grafico:
plot(c(1:60), v.md.int, family="serif", cex.lab=1.3,
     cex.axis=1.3, lab=c(10, 7, 5), xaxt="n",
     pch=rep(c(15,16,17,18,19,20,21,22,23,24), each=6),
     col=v.col, ylab="Altura", xlab="Substrato",
     ylim=c(0,70), main="Variação Entre Grupos", cex.main=1.3)

#Configurando eixo x:
axis(1, at=c(seq(3.5, 57.5, by=6)), labels=c(unique(tamboril$substrato)),
     cex.axis=1.3, family="serif")

#Linha da media total:
abline(h=md.tot, lty=3, lwd=2, col="black")

#Linhas entre os pontos e a media total:
for(i in 1:60)
      {
      lines(c(i, i), c(v.md.int[i], md.tot), 
      col=v.col[i])
      }


###########################################
##### Grafico da variacao intra-grupo #####
###########################################

#Pontos e aparencia geral do grafico:
plot(c(1:60), tamboril$altura,
    family="serif", cex.lab=1.3,
    cex.axis=1.3, lab=c(10, 7, 5), xaxt="n",
    pch=rep(c(15,16,17,18,19,20,21,22,23,24), each=6),
    col=v.col, ylab="Altura", xlab="Substrato",
    ylim=c(0,90), main="Variação Intra Grupos", cex.main=1.3)
  
#Configurando eixo x:
axis(1, at=c(seq(3.5, 57.5, by=6)), labels=c(unique(tamboril$substrato)),
     cex.axis=1.3, family="serif")

#Linhas das medias de cada grupo
lines(c(1,6), c(md.int[1], md.int[1]), col=v.col[1], lwd=2)    
lines(c(7,12), c(md.int[2], md.int[2]), col=v.col[7], lwd=2)
lines(c(13,18), c(md.int[3], md.int[3]), col=v.col[13], lwd=2)
lines(c(19,24), c(md.int[4], md.int[4]), col=v.col[19], lwd=2)
lines(c(25,30), c(md.int[5], md.int[5]), col=v.col[25], lwd=2)
lines(c(31,36), c(md.int[6], md.int[6]), col=v.col[31], lwd=2)
lines(c(37,42), c(md.int[7], md.int[7]), col=v.col[37], lwd=2)
lines(c(43,48), c(md.int[8], md.int[8]), col=v.col[43], lwd=2)
lines(c(49,54), c(md.int[9], md.int[9]), col=v.col[49], lwd=2)
lines(c(55,60), c(md.int[10], md.int[10]), col=v.col[55], lwd=2)

#Linhas dos pontos a media dos respectivos grupos
for(i in 1:60)
      {
      lines(c(i,i), c(tamboril$altura[i], v.md.int[i]), col=v.col[i])
      }

#Linha da media total dos dados
abline(h=md.tot, lty=3, col="red")

#####################
#Fim do exercicio 6#
####################