### 7b. Exerccios de Regresso Mltipla
## Uma estimativa da incerteza na previso do modelo

babies <- read.table("babies.txt", header = T, sep = " ")
head(babies)
str(babies)

## retirar os valores ignorados:
babies.2 <- babies[(babies$bwt!=999 & babies$gestation!=999 
	& babies$parity!=9 & babies$age!=99 & babies$height!=99 
	& babies$weight!=999 & babies$smoke!=9),]
head(babies.2)

## transformar onas em Kg na nova coluna:
babies.2$bwt.kg <- babies.2$bwt * 0.028
head(babies.2)

## relao bwt.kg(kg) ~ gestation(dias):
ml.babies <- lm(bwt.kg ~ gestation, data = babies.2)
summary(ml.babies)

## Estimando intervalo de confiana de 95% da previso
## Estimar o intervalo:
## valores de bwt.kg preditos pelo modelo:
babies.2$predito <- predict(ml.babies)
head(babies.2$predito)

## Criar vetor para representar a variavel preditora(x, gestao) como uma
## sequencia de 100 valores entre max e min da preditora observada
seq100.gest <- seq(from = min(babies.2$gestation), to = max(babies.2$gestation),length = 100)
seq100.prev <- seq (babies.2[babies.2$gestation == (min(babies.2$gestation)),]$"predito",
	 babies.2[babies.2$gestation == (max(babies.2$gestation)),]$"predito", length = 100)

## Estimando erro padro para valores previstos
media.gest <- mean(babies.2$gestation)
desvio.gest <- babies.2$gestation - media.gest
desvio.gest.quad <- (babies.2$gestation - media.gest)^2
SSX <- sum(desvio.gest.quad)
s2 <- var(babies.2$bwt.kg)
n <- length(babies.2$gestation)
# x  vetor.predito
# x barra dos valores observados:
x.media <- mean(babies.2$gestation)
erro.p.seq100 <- sqrt(s2*(1/n + (seq100.gest - media.gest)^2/SSX))

## Estimativa do intervalo de confiana
#Para estimar o intervalo de confiana  preciso calcular o erro padro da 
#previso do modelo e multiplicar pelo valor t de Student, para n-2 graus 
#de liberdade. 
# funo quantil para uma distribuio t com df graus de liberdade:
i.c <- erro.p.seq100 * qt(0.025,n-2)

## plotar um grfico com os dados, o modelo e as curvas do intervalo de confiana.
plot(bwt.kg ~ gestation, babies.2)
abline(ml.babies, col = "red", lwd = 2)
# lines(seq100.prev + i.c ~ seq100.gest, col = "blue")
# lines(seq100.prev - i.c ~ seq100.gest, col = "blue")
xx <- c(seq100.gest,rev(c(seq100.gest)))
yy <- c(seq100.prev + i.c , rev(c(seq100.prev)- i.c))
polygon(xx,yy)

#################################################################################
### Galileu estava Certo? ###

## Partindo do tutorial Ajuste de Polinmios, avalie se um polinmio de 
#	terceiro grau  um melhor modelo para descrever os dados do experimento 
#	de Galileu. A equao para este modelo :

# Dados:
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)
plot(h.d~init.h)	# forma uma parbola
mod1 <- lm(h.d~init.h)	#testando modelo de anova
mod2 <- update(mod1,.~. +I(init.h^2))	#ajuste da equao da parbola
anova(mod1,mod2)	#comparao dos dois modelos: o modelo de parbola explica melhor os dados
abline(mod1)	#linha reta sem ajuste
cf.m2 <- coef(mod2)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2)	#linha ajustada

## ajustando a um modelo de terceiro grau:
mod3 <- update(mod1,.~. +I(init.h^2) +I(init.h^3))

## aplicando a anova:
anova(mod2,mod3)
summary(mod3)

#	O modelo de polinmio de terceiro grau explica melhor os dados quando 
# comparado ao de segundo grau, sendo mais perceptvel na diferena dos valores
# de RSS e no valor de p muito prximo a 1.

## Aplicando a curva ao grfico:
cf.m3 <- coef(mod3)
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2+cf.m3[4]*x^3, add=T, lty=2,col = "blue")

###############################################################################
### Massa de Recm-Nascidos ###

# Utilize todas as variveis disponveis no conjunto de dados Massa ao Nascer 
# e Dados da me para chegar ao melhor modelo de previso da massa de bebs 
# ao nascer.Parta do arquivo acima e no do que foi usado no tutorial. 
# Antes de comear, elimine as observaes com dados faltantes, veja 
# descrio do arquivo.

## Ler o arquivo:
babies <- read.table("babies.txt", header = T, sep = " ")

## retirar os valores ignorados:
babies.2 <- babies[(babies$bwt!=999 & babies$gestation!=999 
	& babies$parity!=9 & babies$age!=99 & babies$height!=99 
	& babies$weight!=999 & babies$smoke!=9),]
head(babies.2)

## modelo cheio:
m1 <- lm(bwt ~ gestation*parity*age*height*weight*smoke,data = babies.2)
summary(m1)
F-statistic: 7.849 on 63 and 1110 DF,  p-value: < 2.2e-16

m2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke
	
	+ gestation:parity:age:height:weight:smoke, data = babies.2)
	
summary(m2)
	
## Retirando-se a 6 ordem:
m3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke , data = babies.2)

anova(m1,m3)
#	valor de p maior que 0.05, ficamos com o modelo mais simples e continuamos a simplificar


## Retirando-se a 5 ordem:
m4 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	, data = babies.2)
m5 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke

	+ parity:age:height:weight:smoke , data = babies.2)
m6 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke

	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke , data = babies.2)
m7 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight + gestation:parity:age:height:smoke

	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke , data = babies.2)
m8 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:smoke
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke , data = babies.2)
m9 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke

	+ gestation:parity:age:height:weight 
	+ gestation:parity:age:weight:smoke
	+ gestation:parity:height:weight:smoke
	+ gestation:age:height:weight:smoke
	+ parity:age:height:weight:smoke , data = babies.2)


anova(m3,m4)			# p = 0.2801
anova(m3,m5)			# p = 0.189
anova(m3,m6)			# p = 0.6566
anova(m3,m7)			# p = 0.5859
anova(m3,m8)			# p = 0.6438
anova(m3,m9)			# p = 0.2951, podemos retirar todas as relaes de 5 ordem.


m10 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
anova(m3,m10)

## Retirando-se a 4 ordem
m11 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)

m12 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m13 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m14 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m15 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m16 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m17 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m18 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m19 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m20 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m21 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m22 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight 
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m23 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	
	+ parity:height:weight:smoke
	+ age:height:weight:smoke, data = babies.2)
m24 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	
	+ age:height:weight:smoke, data = babies.2)
m25 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	
	+ gestation:parity:age:height +gestation:parity:age:weight +gestation:parity:age:smoke
	+ gestation:parity:height:weight +gestation:parity:height:smoke
	+ gestation:parity:weight:smoke
	+ gestation:age:height:weight +gestation:age:height:smoke
	+ gestation:age:weight:smoke
	+ gestation:height:weight:smoke 
	+ parity:age:height:weight +  parity:age:height:smoke
	+ parity:age:weight:smoke
	+ parity:height:weight:smoke
	, data = babies.2)

anova(m10,m11)$"Pr(>F)"	# p = 0.2361467
anova(m10,m12)$"Pr(>F)"	# p = 0.9106715
anova(m10,m13)$"Pr(>F)"	# p = 0.5342186
anova(m10,m14)$"Pr(>F)"	# p = 0.2361151
anova(m10,m15)$"Pr(>F)"	# p = 0.9847664
anova(m10,m16)$"Pr(>F)"	# p = 0.72285
anova(m10,m17)$"Pr(>F)"	# p = 0.126999
anova(m10,m18)$"Pr(>F)"	# p = 0.797134
anova(m10,m19)$"Pr(>F)"	# p = 0.5964435
anova(m10,m20)$"Pr(>F)"	# p = 0.9990035
anova(m10,m21)$"Pr(>F)"	# p = 0.06699972
anova(m10,m22)$"Pr(>F)"	# p = 0.6482563
anova(m10,m23)$"Pr(>F)"	# p = 0.5204713
anova(m10,m24)$"Pr(>F)"	# p = 0.6029568
anova(m10,m25)$"Pr(>F)"	# p = 0.7940192, podemos retirar todas as relaes de 4 ordem.

## retirando-se as relaes de 3 ordem:
m26 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
anova(m10,m26)

m27 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m28 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age + gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m29 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m30 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m31 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m32 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m33 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m34 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m35 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight 
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m36 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m37 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m38 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m39 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight 
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m40 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m41 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight 
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m42 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m43 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	 +age:height:smoke
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m44 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight 
	+ age:weight:smoke
	+ height:weight:smoke
	, data = babies.2)
m45 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	
	+ height:weight:smoke
	, data = babies.2)
m46 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	
	+ gestation:parity:age +gestation:parity:height+ gestation:parity:weight+gestation:parity:smoke
	+ gestation:age:height +gestation:age:weight+gestation:age:smoke
	+ gestation:height:weight + gestation:height:smoke
	+ gestation:weight:smoke
	+ parity:age:height +parity:age:weight +parity:age:smoke
	+ parity:height:weight +parity:height:smoke
	+ parity:weight:smoke
	+ age:height:weight +age:height:smoke
	+ age:weight:smoke
	
	, data = babies.2)

anova(m26,m27)$"Pr(>F)"
anova(m26,m28)$"Pr(>F)"
anova(m26,m29)$"Pr(>F)"
anova(m26,m30)$"Pr(>F)"
anova(m26,m31)$"Pr(>F)"
anova(m26,m32)$"Pr(>F)"
anova(m26,m33)$"Pr(>F)"
anova(m26,m34)$"Pr(>F)"
anova(m26,m35)$"Pr(>F)"
anova(m26,m36)$"Pr(>F)"
anova(m26,m37)$"Pr(>F)"
anova(m26,m38)$"Pr(>F)"
anova(m26,m39)$"Pr(>F)"
anova(m26,m40)$"Pr(>F)"
anova(m26,m41)$"Pr(>F)"
anova(m26,m42)$"Pr(>F)"
anova(m26,m43)$"Pr(>F)"
anova(m26,m44)$"Pr(>F)"
anova(m26,m45)$"Pr(>F)"
anova(m26,m46)$"Pr(>F)" 		#pode-se retirar todas estas interaes

m47 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)

anova(m26,m47)$"Pr(>F)" 	

## Retirando-se as interaes de 2 ordem
m48 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	 + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m49 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity  + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m50 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age  + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m51 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height  + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m52 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight 
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m53 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	 + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m54 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m55 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m56 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight 
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)

m57 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	 + age:weight + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m58 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height  + age:smoke
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m59 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight 
	+ height:weight + height:smoke
	+ weight:smoke
	, data = babies.2)
m60 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:smoke
	+ weight:smoke
	, data = babies.2)
m61 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight 
	+ weight:smoke
	, data = babies.2)
m62 <- lm(bwt ~ gestation + parity + age + height + weight + smoke
	
	+ gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke
	+ parity:age + parity:height + parity:weight + parity:smoke
	+ age:height + age:weight + age:smoke
	+ height:weight + height:smoke
	, data = babies.2)

anova(m47,m48)$"Pr(>F)"
anova(m47,m49)$"Pr(>F)"	# p = 7.639566e-05, gestation:age
anova(m47,m50)$"Pr(>F)"
anova(m47,m51)$"Pr(>F)"
anova(m47,m52)$"Pr(>F)"	# p = 0.0001915993, gestation:smoke
anova(m47,m53)$"Pr(>F)"
anova(m47,m54)$"Pr(>F)"
anova(m47,m55)$"Pr(>F)"
anova(m47,m56)$"Pr(>F)"
anova(m47,m57)$"Pr(>F)"
anova(m47,m58)$"Pr(>F)"
anova(m47,m59)$"Pr(>F)"
anova(m47,m60)$"Pr(>F)"
anova(m47,m61)$"Pr(>F)"
anova(m47,m62)$"Pr(>F)" 

# podemos manter somente as interaes gestation:smoke e  gestation:age

## modelo final:
m63 <- lm(bwt ~ gestation + parity + age + height + weight + smoke + gestation:age + gestation:smoke, data = babies.2)
anova(m47,m63)
summary(m63)

## Diagnstico do modelo:
par(mfrow = c(2,2), mar=c(4,4,2,2), cex.lab=1.2,
    cex.axis=1.2, las=1,  bty="n")
plot(m63)
###################################################################################

