### 9.2 Exerccio Anlise exploratria simultnea de duas variveis ###

# funo grfica de anlises exploratrias com duas variveis
# entrada: 2 objetos vetores de mesmo tamanho (x e y)
# sada: 
#	boxplot, histograma, qq norm e y por x
#	histograma: funo multhist() do pacote plotrix
# 	legendas em portugues
#	para os dois objetos no mesmo grfico, fazer com cores diferentes
#	"return": sumrio das duas variveis e o coeficiente de correlao

## Utilizar o pacote 'plotrix'
## Partindo da funo "eda.shape" fornecido em aula: 

anal.explo <- function(x,y)
	{
	library(plotrix)
	if(length(x) != length(y))
		{
		stop("Para tudo! Os vetores devem apresentar o mesmo comprimento!")
		}
	xy = list(x,y)
	x11() 
	par(mfrow = c(2,3))	
	boxplot(x,y, 
		col = c("red", "blue"),
		names = c("x","y"),
		main = paste("Boxplot") 
		)
	multhist(xy, beside = TRUE, freq = TRUE,
		col = c("red", "blue"),
		main = paste("Histograma"),
		xlab="Dados x(vermelho) e y(azul)"
		)
	iqd.x <- summary(x)[5] - summary(x)[2]
	iqd.y <-  summary(y)[5] - summary(y)[2]
	plot(density(x,width=2*iqd.x),
		xlab="Dados x(vermelho) e y(azul)",ylab="",type="l", col = "red",
		main = "Estimativa de Densidade")
	lines(density(y,width=2*iqd.y), col = "blue")

	qqnorm(x, col = "red",
		main = "Q-Q Normal de x",
		xlab = "Quantil terico",
		ylab = "Quantil da amostra")
	qqline(x)
	qqnorm(y, col = "blue",
		main = "Q-Q Normal de y",
		xlab = "Quantil terico",
		ylab = "Quantil da amostra")
	qqline(y)
	plot(x~y, 
		main = "x~y")
	par(mfrow=c(1,1))

	return(
		list (
			"Sumrio de x" = summary(x), 
			"Sumrio de y" = summary(y),
			"Correlao de x e y" = cor(x,y)
			)
		)
	}

## TESTE:
# dado1 <- rnorm(500, 5)
# dado2 <- rnorm(500, 7)
# anal.explo(dado1,dado2)
# dado3 <- rnorm(400,5)
# anal.explo(dado1,dado3)