### Exercicio Anlise exploratorias ##

# 4.2)Cervejas
# Uma amostra de 30 estudantes foi indagada sobre seu tipo de 
# cerveja preferida, com o seguinte resultado
# 	1)Represente este resultado como um grfico de barras e um dotplot (funo dotchart).

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas <- as.factor(cervejas)

x11()
barplot(table(cervejas)) # grfico de barras
dotchart(table(cervejas)) #grfico dotchart

#	2)Qual tem maior razo dado/tinta?
#	Supondo que os dados sejo as informaes (que so inguais)
# e a tinta seja o quanto ela  representada no grfico,
# podemos assumir que o grfico de barras apresenta maior "gasto de tinta"
# para respresentar os mesmos dados dos pontos. Portanto, o grfico dotchart
# apresenta apresenta maior razo dado/tinta.

##########################################
# 4.3)  Caixetais
# Neste exerccio, use o objeto caixeta, criado no tutorial Explorao de 
# uma Varivel Categrica.	
# 1) Construa um histograma do dap dos fustes dos caixetais.

caixeta <- read.csv("caixeta.csv", as.is=T)

caixeta.dap <- caixeta #gerar uma coluna nova de Dap
dap <-(caixeta.dap$cap/pi)
caixeta.dap["dap"] <- dap
head(caixeta.dap)

hist(caixeta.dap$dap) #histograma de dap dos fustes

# 2) Construa histogramas da altura das rvores para os diferentes caixetais ('local').

str(caixeta.dap)
caixeta.dap$local <- as.factor(caixeta.dap$local)
library(lattice)
x11()
histogram(~caixeta$h | caixeta$local)


# 3) H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#	 possvel observar uma distribuio maior de tamanhos prximo  100, porm
#	no h uma clara diferena de distribuio entre os caixetais.

##################################################
# 4.4) Eucaliptos
# Neste exerccio, use o conjunto de dados Inventrio em Florestas Plantadas de Eucalyptus grandis.
#	1)Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis
#	 em funo das variveis regio (regiao) e rotao (rotacao).

e.grandis <- read.csv("egrandis.csv",sep = ";", as.is=T)
e.grandis$regiao <- as.factor(e.grandis$regiao)
e.grandis$rotacao <- as.factor(e.grandis$rotacao)
x11()
boxplot(e.grandis$dap ~ e.grandis$regiao) #grfico de dap e regio

# 	Analisando o grfico acima observamos que no h uma grande variao de dap
#		entre as regies, entretanto observamos tambm uma grande quantidade de outliers
#		na maioria dos grupos e que precisam ser analizandos com cuidado.

boxplot(e.grandis$dap ~ e.grandis$rotacao) # grfico de dap e rotao

#	Analisando o grfico de dap em relao  rotao observamos uma diferena
#		entre os dois grupos mas que tambm apresentam uma grande quantidade
#		de outliers.


#	2) Avalie a normalidade da altura do conjunto total de rvores com 
#	um grfico quantil-quantil contra a distribuio normal.

x11()
qqnorm(e.grandis$ht)
qqline(e.grandis$ht)

#	Avaliando o grfico gerado acima, observamos que ambas as extremidades 
#	da distribuio encontram-se acima da linha normal esperada, indicando
#	que a distribuio apresenta cauda longa a direita e cauda curta para a
#	esquerda. Sendo assim, o grfico no representa uma distribuio normal.

#############################################################
# 4.5) Mais caixetais
# Aqui usaremos novamente o objeto caixeta, criado no tutorial Explorao de uma Varivel Categrica.
# 1) Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) 
#	com a funo plot, mas somente para as rvores de caixeta (Tabebuia 
#	cassinoides).

caixeta.dap <- caixeta #gerar uma coluna nova de Dap
dap <-(caixeta.dap$cap/pi)
caixeta.dap["dap"] <- dap
head(caixeta.dap)

caixeta.dap.area <- caixeta.dap
raio <- (caixeta.dap.area$dap/2)
area <- (pi*raio^2)
caixeta.dap.area["area"] <- area

caixeta.esp <- subset(caixeta.dap.area, caixeta.dap.area[7]=="Tabebuia cassinoides") #separando espcie
caixeta.esp.chauas <- subset(caixeta.esp,caixeta.esp[1]=="chauas") 
caixeta.esp.jureia <- subset(caixeta.esp.area,caixeta.esp[1]=="jureia") 
caixeta.esp.retiro <- subset(caixeta.esp.area,caixeta.esp[1]=="retiro") 
head(caixeta.esp.chauas)
head(caixeta.esp)


x11()
plot.1 <- par(mfcol= c(3,1))
	plot(caixeta.esp.chauas$dap, y = caixeta.esp.chauas$h, xlim = c(0,500), ylim = c(0,600))
	plot(caixeta.esp.jureia$dap, y = caixeta.esp.jureia$h, xlim = c(0,500), ylim = c(0,600))
	plot(caixeta.esp.retiro$dap, y = caixeta.esp.retiro$h, xlim = c(0,500), ylim = c(0,600))




#	Analisando os grficos acima, observamos que o local no apresenta
# tantas diferenas na relao entre dap e h

# 2) Para a mesma relao do item anterior, verifique linearidade com a funo 
#	scatter.smooth


x11()
par(mfcol= c(3,1))
plot.1 <- plot(caixeta.esp.chauas$dap, y = caixeta.esp.chauas$h, xlim = c(0,500), ylim = c(0,600))
plot.2 <- plot(caixeta.esp.jureia$dap, y = caixeta.esp.jureia$h, xlim = c(0,500), ylim = c(0,600))
plot.3 <- plot(caixeta.esp.retiro$dap, y = caixeta.esp.retiro$h, xlim = c(0,500), ylim = c(0,600))


scatter.smooth(caixeta.esp.chauas$dap, caixeta.esp.chauas$h)
scatter.smooth(caixeta.esp.jureia$dap, y = caixeta.esp.jureia$h)
scatter.smooth(caixeta.esp.retiro$dap, y = caixeta.esp.retiro$h)

# Existe uma linearidade aparente em Chauas. J os locais Jureia e Retiro
# aparentam uma distribuio exponencial.

# 3) Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') 
#	em funo do caixetal (local), mas somente para as rvores de caixeta
#	(Tabebuia cassinoides).

str(caixeta.esp)
caixeta.esp$local <- as.factor(caixeta.esp$local)

library(lattice)
x11()
xyplot(dap~h|local, data = caixeta.esp)


# Analisando o grfico observamos que as diferenas entre os grupos no  clara,
# mas existe uma maior disperso dos dados em jureia quando comparados ao retiro
# e chauas.