##Exerccio - Grficos (Lidia Yano)##

#Usando o conjunto de dados Conjunto de Dados: Dados de Biomassa de rvores de Eucalyptus Saligna, construa os seguintes grficos:

## 5.1) Editando alguns parmetros grficos
### 1) Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna
saligna <- read.csv("esaligna.csv", as.is = T)
head(saligna)
summary(saligna)
str(saligna)

### 2) Use o simbolo de crculo preenchido aumentado em 40%, na cor vermelha - Legendas dos eixos com nomes das variveis e suas unidades da seguinte forma:
### 3) x: Dimetro  altura do peito (cm)
### 4) y: Altura (m)
### 5) Tamanho das fontes e legendas dos eixos com 50% e 70% de aumento que o padro, respectivamente
# par(cex.axis=1.5, cex.lab=1.7) # deve ser aplicado antes de iniciar o grfico, aps o x11()
### 6) Marcaes da escala dos eixos (ticks marks) para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha.
#(tcl=0.3)
### 7) Valores do eixo y na horizontal
#(las=1)
### 8) Apenas as linhas referentes/ aos eixos x e y (formato L)
#(bty="l")
### 9) Ttulo contendo: *Eucalypthus saligna* com aumento de 80%
### 10) Salve o grfico no formato png no arquivo saligna.png no diretrio de trabalho atual.

#### O comando:
x11()
plot(saligna$ht~saligna$dap, xlab="DAP(cm)", ylab="Altura(m)",tcl=0.3, pch=19, col = "red",cex=1.4, cex.axis=1.5, cex.lab=1.7,las=1,bty="l", main="Eucalypthus saligna", cex.main=1.8)
savePlot("saligna.png")
##########################################################################

## 5.2) Dois grficos juntos


### 1) Use as variveis dap e talhao para construir dois grficos, colocando-os lado a lado. O primeiro deve ser um grfico de desenho de caixa (boxplot) da varivel dap em funo do fator talho. O segundo deve ter apenas a mdia e uma barra de desvio-padro do dap, para cada talho.
### 2) Mantenha o mesmo padro de formatao do exerccio anterior.
### 3) Insira tambm uma letra para dizer qual  o grfico a e qual  o b (tanto faz, quem  um e quem  outro).

# preparando os dados:

media.sd.dap <- aggregate(dap~talhao, data = saligna, FUN = function(x) c(media = mean(x), desvio = sd(x))) 
str(media.sd.dap)
media.sd.dap <- as.data.frame(as.list(media.sd.dap))
dap.media <- media.sd.dap$dap.media
dap.desvio <- media.sd.dap$dap.desvio
talhao <- media.sd.dap$dap.talhao
desvio.acima <- dap.media+dap.desvio
desvio.abaixo <- dap.media-dap.desvio
media.sd.dap$talhao <- factor(media.sd.dap$talhao)

ls() #objetos criados

# gerando os grficos:
x11()
par(mfrow=c(1,2))
boxplot(saligna$dap~saligna$talhao, xlab="Talho", ylab="DAP",tcl=0.3, pch=19, col = "red",cex=1.4, cex.axis=1.5, cex.lab=1.7,las=1,bty="l", main="Eucalypthus saligna", cex.main=1.8)
text(1, 20,"a")
 

plot(dap.media~talhao, data=media.sd.dap, ylim=c(0,25), xlab= "Talho", ylab= "Mdia de DAP",tcl=0.3, pch=19, col = "red",cex=1.4, cex.axis=1.5, cex.lab=1.7,las=1,bty="l", main="Eucalypthus saligna", cex.main=1.8)
segments(x0=c(1:6), y0=(6.633214, 6.961754, 7.366797, 9.896206, 8.433185, 6.864501), x1=c(1:6), y1= (14.10012, 19.00967, 15.89987, 20.86379, 18.74182, 19.43550)) 
segments(x0=c(16,17,18,22,23,32), y0=(6.633214, 6.961754, 7.366797, 9.896206, 8.433185, 6.864501), x1=c(16,17,18,22,23,32), y1= (14.10012, 19.00967, 15.89987, 20.86379, 18.74182, 19.43550)) 
text(20, 20,"b")

## ltimo comando de segments() no funcionou....
#########################################################

## 5.3 Adivinhando o cdigo##

##Leia os dados deste arquivo e usando as variveis x1 e y1 e x2 e y2 tente reproduzir esta figura:

exercicio3 <- read.csv("exercicio3.csv",sep = ",", as.is = T)
head(exercicio3)

# preparando os dados: ajuste ao modelo exponencial
model <- lm(exercicio3$x1~exercicio3$y1)
locator(1) # localizar o outlier
exercicio3.1 <- exercicio3[-27,] #retirar o outlier

#comando do grfico
x11()
par(mfrow=c(1,2))

#primeiro grfico:

plot(y1~x1,exercicio3.1, xlab= "Log(Patch size)(ha)", ylab= "Euclidean distances", family = "serif",xlim=c(0.5,2.3), ylim = c(0.0,3.0), pch = 17,tcl=0.3,bty="l")
abline(model, lwd=2)
text(2.3, 3.0,"a")

#segundo grfico:
par(xaxt="n")
boxplot(x2~y2,exercicio3.1, ylim = c(0.0,3.0),xaxt="n",xlab="" , ylab="",tcl=0.3, bty="l")
mtext(c("Small  Medium Edge  Medium Interior  Large Edge  Large Interior  Control"),1,cex=0.9) #eixo x no ficou adequado!!
text(6.5, 3.0,"b")
text(1,3.0,"*", cex=2)
text(2,3.0,"*",cex=2)
text(3,3.0,"**",cex=2)
text(4,3.0,"*",cex=2)
text(5,3.0,"***",cex=2)

